Please sync ttf-sil-scheherazade 1.001-2 (main) from Debian unstable (main).

Bug #260062 reported by Arne Goetje on 2008-08-21
8
Affects Status Importance Assigned to Milestone
ttf-sil-scheherazade (Ubuntu)
Wishlist
Unassigned

Bug Description

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 affects ubuntu/ttf-sil-scheherazade
 status new
 importance wishlist
 subscribe ubuntu-main-sponsors

Please sync ttf-sil-scheherazade 1.001-2 (main) from Debian unstable (main).

Explanation of the Ubuntu delta and why it can be dropped:

The only delta is that the Ubuntu package is older and uses cdbs as packaging system. It was packaged by a different maintainer than the current debian maintainer. Suggestion is to sync the package and maintain it in debian.

Changelog since current intrepid version 1.001-0ubuntu2:

ttf-sil-scheherazade (1.001-2) unstable; urgency=low

  * Added Vcs fields
  * Adjusted Suggests
  * Added Panjabi to the defoma hints (Closes: #447182)
  * New Homepage field

 -- Nicolas Spalinger <email address hidden> Mon, 03 Dec 2007 00:01:53 +0100

ttf-sil-scheherazade (1.001-1) unstable; urgency=low

  * Initial release under the OFL. (Closes: #430780)

 -- Nicolas Spalinger <email address hidden> Wed, 4 Jul 2007 15:50:16 -0400

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIrW7Gbp/QbmhdHowRAqkOAKCjaFisZv9nHGWOd0xax/mVgqdspwCgtKlT
Y8gjcpZd80s5hcX2BfLddlM=
=a7gz
-----END PGP SIGNATURE-----

Daniel Holbach (dholbach) wrote :

Did you get in touch with the current maintainer and asked if it's OK to overwrite?

Changed in ttf-sil-scheherazade:
status: New → Incomplete
Nicolas Spalinger (yosch) wrote :

I got in touch with Mohammad and asked him to join the upstream Debian fonts team. I've added him as uploader on the package. Probably the best solution to reduce the delta and have the best quality packaging.

Scott Kitterman (kitterman) wrote :

The current problem with this is that the orig.tar.gz md5sums are different between Debian and Ubuntu so this can't actually be sync'ed. I looked into syncing this earlier. I don't think that a fakesync is worth the effort at this point because the binaries are essentially the same. My suggestion is either fakesync later if there's a significant bugfix in the Debian package or wait for a new upstream version to do a real sync.

Daniel Holbach (dholbach) wrote :

Arne: do you think you can do the fakesync, if it's important enough; else close the bug?

Arne Goetje (arnegoetje) wrote :

Fakesync done.

The original comes as .zip and has been repacked by two different maintainers for debian and ubuntu (ubuntu was first). But the contents of the tarball is 100% the same. Tested with md5sum.

Nicolas Spalinger (yosch) wrote :

Well, Mohammad got his package into universe before the team-maintained package went into Debian main.

The .zip sources are intended for other platforms, I've always redone a .tar.gz.

There is a updated package on mentors:
http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=ttf-sil-scheherazade

I'd recommend waiting for this to be uploaded before the fake sync.

Arne Goetje (arnegoetje) wrote :

when will it be uploaded?

Daniel Holbach (dholbach) wrote :

Nicolas: the version on mentors.d.n is not going to help: it still makes use of the same tarball. Only a new upstream version is going to help to fix the "diff" between Ubuntu and Debian.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ttf-sil-scheherazade - 1.001-2ubuntu1

---------------
ttf-sil-scheherazade (1.001-2ubuntu1) intrepid; urgency=low

  * Fake-Sync (LP: #260062)

 -- Arne Goetje <email address hidden> Mon, 25 Aug 2008 15:20:05 +0800

Changed in ttf-sil-scheherazade:
status: Incomplete → Fix Released
Daniel Holbach (dholbach) wrote :

Scott: it was attached already, it just took me a bit to upload it.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers